Subject: Re: linux-next: manual merge of the arm-soc tree with the arm tree

From: Russell King <[email-masked]>
Date: Tue, 27 Sep 2011 08:25:18 +0100

On Tue, Sep 27, 2011 at 11:25:24AM +1000, Stephen Rothwell wrote:
> Hi Arnd,
> 
> [I have a feeling that I may have reported this previously]
> 
> Today's linux-next merge of the arm-soc tree got a conflict in
> arch/arm/mm/dma-mapping.c between commit e73fc88e19d7 ("ARM: 7059/1:
> LPAE: Use PMD_(SHIFT|SIZE|MASK) instead of PGDIR_*") from the arm tree
> and commit 99d1717dd7fe ("ARM: Add init_consistent_dma_size()") from the
> arm-soc tree.
> 
> I fixed it up (I think - see below) and can carry the fix as necessary.

This has happened because I've dropped a large chunk of my tree from the
for-next branch due to some horrible conflicts and some bad workflow
practice in a git tree I recently merged (so this merge which I'd
normally do has been exposed.)

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: